main {
    justify-content: start;
    overflow: auto;
    align-items: normal;
}

body {
    background-color: #002E48;
}

.container_desafios {
    display: flex;
    flex-direction: column;
    justify-content: start;
    margin: 1rem;
}

.titulo_pagina {
    margin: 0;
    text-align: center;
    color: black;
}

.div_titulo {
    margin-bottom: 1rem;
}

.descricao_pagina {
    margin: 0;
    text-align: center;
    font-size: 18px;
    font-weight: 400;
    color: rgb(118 118 118);
}

.card_desafios {
    display: flex;
    align-items: center;
    border-radius: 14px;
    padding: 0.6rem;
}

.titulo_card {
    font-size: 14px;
    margin: 0;
    font-weight: 400;
    color: black;
}

.descricao_card {
    margin: 0;
    font-size: 20px;
    color: black;
    font-weight: 600;
}

.img_desafios {
    width: 100%;
    border-radius: 0%;
    object-fit: cover;
    aspect-ratio: 1000 / 523;
    border-top-left-radius: 14px;
    border-top-right-radius: 14px;
}

.header_desafios {
    background: linear-gradient(90deg, #19B6A6, #17A39C);
    color: white;
    padding: 12px 24px;
    border: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    font-size: 18px;
    cursor: pointer;
    font-weight: 600;
    margin: 0;
}

.card_descricao_desafio {
    background-color: white;
    color: black;
    padding: 0.4rem;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.card_descricao_metas {
    background-color: white;
    color: black;
    padding: 0.4rem;
    border-radius: 10px;
    border: 1px solid rgba(151, 151, 151, 0.3);
}

.titulo_desafio {
    font-size: 20px;
    margin: 0;
    font-weight: 600;
}

.descricao_desafio {
    font-size: 14px;
    margin: 0;
    font-weight: 400;
    color: #71717a;
}

.btn_iniciar {
    background-color: #14b8a6;
    border: none;
    outline: none;
    padding: 0.6rem;
    border-radius: 10px;
    color: white;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;
    width: 100%;
    font-family: "Poppins", sans-serif;
}

.card_dias {
    background: linear-gradient(135deg, #C9F5D6, #4dca9c);
    border: 2px solid #98E4C3;
}

.card_tempo {
    background: linear-gradient(135deg, #024f7c, #27719d);
    color: white;
}

.card_tempo div h2 {
    color: white;
}

.card_concluidos {
    background: linear-gradient(135deg, #FFE8D6, #e9a78c);
    border: 2px solid #FFC4B0;

}

.img_desafio {
    width: 100%;
}

.container_desafio_diario {
    display: flex;
    flex-direction: column;
}

.container_informacoes {
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
    background-color: #002E48;
    width: 100%;
}

.container_desafio_meta {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    padding-bottom: 5rem;
    flex: 1;
}

.header_metas {
    background: linear-gradient(135deg, #5e96ca, #1779ce);
    color: white;
    padding: 12px 24px;
    border: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    font-weight: 600;
    margin: 0;
}

.titulo_metas {
    font-size: 16px;
    margin: 0;
    font-weight: 500;
}

.ponto_metas {
    font-size: 12px;
    margin: 0;
    font-weight: 400;
    color: #71717a;
}

.texto_xp {
    font-size: 12px;
    margin: 0;
    font-weight: 600;
    color: #0d9488;
}

.container_metas {
    padding: 0.4rem;
    background-color: white;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
}

.div_barra {
    display: flex;
    flex-direction: column;
    margin-top: 0.3rem;
}

.div_experiencia {
    display: flex;
    justify-content: space-between
}

.titulo_produtos {
    margin: 0;
    font-size: 20px;
    color: black;
    font-weight: 600;
}

.card_produtos {
    width: 100%;
    position: relative;
}

.img_produtos {
    height: 100%;
    width: 100%;
    border-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.texto_produto {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    text-align: center;
    font-size: 18px;
    font-weight: 500;
}

.descricao_produto {
    font-size: 18px;
    font-weight: 500;
    margin: 0;
    color: black;
}

.div_descricao_produto {
    background-color: white;
    padding: 0.4rem;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    display: flex;
    flex-direction: column;
}

.container_card {
    flex: 1;
    min-width: 300px;
    display: flex;
    flex-direction: column;
}

.descricao_produto_preco {
    font-size: 18px;
    font-weight: 600;
    margin: 0;
    color: black;
    align-self: flex-end;
}

.container_produtos {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.group {
    display: flex;
    line-height: 28px;
    align-items: center;
    position: relative;
    width: 100%;
}

.input {
    width: 100%;
    height: 32px;
    line-height: 28px;
    padding: 0 1rem;
    padding-left: 2.5rem;
    border: 2px solid transparent;
    border-radius: 8px;
    outline: none;
    background-color: #ffffff;
    color: #0d0c22;
    transition: .3s ease;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}

.icon {
    position: absolute;
    left: 1rem;
    fill: #9e9ea7;
    width: 1rem;
    height: 1rem;
}

.input-select {
    height: 32px;
    line-height: 28px;
    padding: 0 1rem;
    font-family: 'Poppins', sans-serif;
    border: 2px solid transparent;
    border-radius: 8px;
    outline: none;
    background-color: #ffffff;
    color: #0d0c22;
    font-size: 14px;
    transition: .3s ease;
    cursor: pointer;
}

.input_select_filtros {
    height: 32px;
    width: 100%;
    line-height: 28px;
    padding: 0 1rem;
    font-family: 'Poppins', sans-serif;
    border: 2px solid transparent;
    border-radius: 8px;
    outline: none;
    background-color: #ffffff;
    color: #0d0c22;
    font-size: 14px;
    transition: .3s ease;
    cursor: pointer;
    box-sizing: border-box;
}

.div_busca_loja {
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.div_dois_buscar_loja {
    display: flex;
    width: 100%;
    gap: 0.6rem;
    align-items: center;
}

.btn_filtrar {
    height: 32px;
    line-height: 28px;
    padding: 0 1rem;
    font-family: 'Poppins', sans-serif;
    border: 2px solid transparent;
    border-radius: 8px;
    font-size: 14px;
    outline: none;
    background-color: #0B8CB9;
    color: white;
    transition: .3s ease;
    cursor: pointer;
    width: 124px;
}




.slider_wrapper {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.slider {
    display: flex;
    transition: transform 0.5s ease-in-out;
    will-change: transform;
    gap: 1rem;
}

.card_desafios {
    min-width: 100%;
    box-sizing: border-box;
    padding: 0px;
    background-color: white;
    display: flex;
    align-items: center;
}

.descricao_card_loja{
    padding: 0.8rem;
    flex: 1;
}

.barra_progresso {
    -webkit-appearance: none;
    width: 100%;
    height: 8px;
    border-radius: 10px;
    background: #e6e6e6;
    outline: none;
    pointer-events: none;
}

.barra_progresso::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 0;
    height: 0;
}

.barra_progresso::-moz-range-thumb {
    width: 0;
    height: 0;
    border: none;
}

.barra_progresso::-webkit-slider-runnable-track {
    height: 8px;
    border-radius: 10px;
    background: transparent;
}

.barra_progresso::-moz-range-track {
    height: 8px;
    border-radius: 10px;
    background: linear-gradient(to right, #1a1a1a 43%, #e6e6e6 43%);
}

.btn_detalhes_produto {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    white-space: nowrap;
    font-size: 0.875rem;
    font-weight: 500;
    outline: none;
    height: 32px;
    border-radius: 0.375rem;
    padding-left: 2rem;
    padding-right: 2rem;
    background-color: black;
    color: white;
    font-family: "Poppins", sans-serif;
    outline: none;
    border: 1px solid rgba(0, 0, 0, 0.2);
    width: 100%;
    cursor: pointer;
}

.informacoes_produto {
    font-size: 14px;
    font-weight: 400;
    margin: 0;
    color: #71717A;
}

.descricao_produto_tipo {
    font-size: 14px;
    font-weight: 500;
    margin: 0;
    color: black;
}

.carrinho_icone {
    color: white;
    font-size: 1.3rem;
    position: relative;
    cursor: pointer;
}

.carrinho_contador {
    position: absolute;
    top: -8px;
    right: -8px;
    background: #ff3b30;
    color: white;
    border-radius: 50%;
    width: 18px;
    height: 18px;
    font-size: 0.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* carrinho lateral */
.carrinho_lateral {
    position: fixed;
    top: 70.2px;
    right: -100%;
    width: 400px;
    height: calc(100% - 63px);
    background: #fff;
    box-shadow: -5px 0 15px rgba(0, 0, 0, 0.15);
    transition: right 0.3s;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

.carrinho_lateral.ativo {
    right: 0;
}

@media (max-width: 600px) {
    .carrinho_lateral {
        width: 100%;
    }
}

.carrinho_cabecalho {
    padding: 1.5rem;
    background: linear-gradient(90deg, #3AB4F2, #0078FF);
    color: white;
}

.carrinho_titulo {
    font-size: 1.5rem;
    font-weight: 600;
}

.carrinho_corpo {
    flex: 1;
    padding: 0.8rem;
}

.carrinho_vazio {
    text-align: center;
    color: #666;
    padding: 0.5rem;
}

.item_carrinho {
    display: flex;
    align-items: center;
    gap: 1rem;
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
    border-bottom: 1px solid #eee;
}

.item_carrinho:first-child {
    padding-top: 0px;
}

.item_carrinho:last-child {
    border-bottom: 0px;
    padding-bottom: 0px;
}

.item_carrinho_imagem {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 8px;
}

.item_carrinho_info {
    flex: 1;
}

.item_carrinho_titulo {
    font-weight: 600;
    margin-bottom: 0.3rem;
    font-size: 14px;
    color: black;
}

.item_carrinho_preco {
    color: #000000;
    font-weight: 600;
}

.remover_item {
    color: #ff3b30;
    cursor: pointer;
}

.carrinho_rodape {
    padding: 1rem;
    border-top: 1px solid #eee;
}

.carrinho_total {
    display: flex;
    justify-content: space-between;
    font-weight: 600;
    font-size: 16px;
    margin-bottom: 1rem;
    color: black;
}

.btn_finalizar {
    width: 100%;
    background-color: #0078FF;
    color: white;
    border: none;
    padding: 0.6rem;
    border-radius: 8px;
    font-weight: 500;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.frete_opcoes {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 0.6rem;
}

.frete_card {
    display: block;
    width: 100%;
    background: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 8px;
    cursor: pointer;
    overflow: hidden;
    transition: all 0.25s ease;
}

.frete_card:hover {
    border-color: #0078FF;
    background: #f0f8ff;
}

.frete_card input {
    display: none;
}

.frete_card input:checked+.frete_info {
    border-left: 4px solid #0078FF;
    background: #e8f4ff;
}

.frete_info {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.8rem;
    padding: 0.5rem;
    color: #333;
    border-left: 4px solid #80808073;
}

.frete_info i {
    color: #0078FF;
    font-size: 1.2rem;
}

.frete_nome {
    font-weight: 600;
    font-size: 14px;
}

.frete_valor {
    font-weight: 600;
    color: #000000;
    font-size: 14px;
}

#botaoVoltar {
    cursor: pointer;
}